## jam 2.4

=== Makefile ===
# Makefile for jam

CC = cc
TARGET = -o jam0
CFLAGS =

# Special flavors - uncomment appropriate lines

# NCR seems to have a broken readdir() -- use gnu
#CC = gcc

# AIX needs -lbsd, and has no identifying cpp symbol
# Use _AIX41 if you're not on 3.2 anymore.
#LINKLIBS = -lbsd
#CFLAGS = -D_AIX

# NT (with Microsoft compiler)
# Use FATFS if building on a DOS FAT file system
#Lib = $(MSVCNT)/lib
#Include = $(MSVCNT)/include
#CC = cl /nologo
#CFLAGS = -I $(Include) -DNT 
#TARGET = /Fejam0
#LINKLIBS = $(Lib)/oldnames.lib $(Lib)/kernel32.lib $(Lib)/libc.lib

# NT (with Microsoft compiler)
# People with DevStudio settings already in shell environment.
#CC = cl /nologo
#CFLAGS = -DNT 
#TARGET = /Fejam0

# BeOS - Metroworks CodeWarrior
#CC = mwcc
#Include = /NewDisk/develop/headers/posix
#CFLAGS = -I $(Include)

# BeOS - gcc
#CC = gcc
#LINKLIBS = -lnet

# Interix - gcc
#CC = gcc

# Cygwin - gcc & cygwin
#CC = gcc
#CFLAGS = -D__cygwin__

# MingW32
#CC = gcc
#CFLAGS = -DMINGW

# MPEIX
#CC = gcc
#CFLAGS = -I/usr/include -D_POSIX_SOURCE

# QNX rtp (neutrino)
#CC = gcc

SOURCES = \
	builtins.c \
	command.c compile.c execunix.c execvms.c expand.c \
	filent.c fileos2.c fileunix.c filevms.c glob.c hash.c \
	headers.c jam.c jambase.c jamgram.c lists.c make.c make1.c \
	newstr.c option.c parse.c pathunix.c pathvms.c regexp.c \
	rules.c scan.c search.c timestamp.c variable.c

all: jam0
	jam0

jam0:
	$(CC) $(TARGET) $(CFLAGS) $(SOURCES) $(LINKLIBS)

## jam 2.5rel

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Makefile for jam
 
 CC = cc
-TARGET = -o jam0
 CFLAGS =
+EXENAME = ./jam0
+TARGET = -o $(EXENAME)
 
 # Special flavors - uncomment appropriate lines
 
@@ -22,21 +23,14 @@
 #CFLAGS = -I $(Include) -DNT 
 #TARGET = /Fejam0
 #LINKLIBS = $(Lib)/oldnames.lib $(Lib)/kernel32.lib $(Lib)/libc.lib
+#EXENAME = .\jam0.exe
 
 # NT (with Microsoft compiler)
 # People with DevStudio settings already in shell environment.
 #CC = cl /nologo
 #CFLAGS = -DNT 
 #TARGET = /Fejam0
-
-# BeOS - Metroworks CodeWarrior
-#CC = mwcc
-#Include = /NewDisk/develop/headers/posix
-#CFLAGS = -I $(Include)
-
-# BeOS - gcc
-#CC = gcc
-#LINKLIBS = -lnet
+#EXENAME = .\jam0.exe
 
 # Interix - gcc
 #CC = gcc
@@ -64,8 +58,8 @@
 	newstr.c option.c parse.c pathunix.c pathvms.c regexp.c \
 	rules.c scan.c search.c timestamp.c variable.c
 
-all: jam0
-	jam0
+all: $(EXENAME)
+	$(EXENAME)
 
-jam0:
+$(EXENAME):
 	$(CC) $(TARGET) $(CFLAGS) $(SOURCES) $(LINKLIBS)

=== debian/changelog ===
jam (2.5rel-2) unstable; urgency=medium

  * Switched to dh.
  * Switched to source format 3.0 (quilt).  Keep the %token reordering
    patch to jamgram.y as jamgram.patch, but don't apply it as it does not
    seem required and there is no trace of the change/justification in the
    changelog.
  * Backup shipped versions of generated files (used for bootstrapping)
    before regenerating them, and restore them on clean.
  * Adjust debian/watch and debian/copyright for current upstream
    directory hierarchy (Closes: #529119).
  * Spell "cumulative" correctly in manpage and html (Closes: #412606).
  * Stop using "apprehend" incorectly in package description (Closes: #307569).
  * Add Vcs-* control fields.
  * Use misc:Depends (lintian).
  * Removed "Apps/" prefix from doc-base section (lintian).
  * Propagate dpkg-buildflags to jam using the names it expects.
  * Bumped Standards-Version to 3.9.5, no change.

 -- Yann Dirson <dirson@debian.org>  Sun, 22 Jun 2014 16:27:15 +0200

jam (2.5rel-1) unstable; urgency=low

  * Final 2.5 release - using this version string to compensate for the
    mistake about rc2 (see below).  
  * Had to use previous version of jam to refresh generated files, since
    bootstrapping jam0 failed.  
  * Bumped Standards-Version to 3.6.1, no change.
  * Removed the call to "./jam0 clean" from clean rules, since it removes
    files necessary to bottstrap the build.

 -- Yann Dirson <dirson@debian.org>  Sat, 21 Aug 2004 23:20:10 +0200

jam (2.5rc3-6) unstable; urgency=low

  * Clarification about relation between Jambase and Jamfile in Jam.html.
  * Mention the debian-specific installed copy of Jambase in Jam.html.
  * Fixed several typos in Jam.html.
  * Include a sample Jamrules for building bigloo programs.
  * Revert patch to Jamfile to call yyacc in ./, now useless.
  * Added call to "jam clean" in clean target to be sure.

 -- Yann Dirson <dirson@debian.org>  Sun, 14 Dec 2003 23:02:13 +0100

jam (2.5rc3-5) unstable; urgency=low

  * Improved description (Closes: #216305).

 -- Yann Dirson <dirson@debian.org>  Wed, 29 Oct 2003 21:35:17 +0100

jam (2.5rc3-4) unstable; urgency=low

  * Updated manpage with -q and -g options (Closes: #200234).
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Tue, 15 Jul 2003 22:03:19 +0200

jam (2.5rc3-3) unstable; urgency=low

  * Sync'd manpage with current ftjam package.

 -- Yann Dirson <dirson@debian.org>  Wed,  4 Jun 2003 11:57:18 +0200

jam (2.5rc3-2) unstable; urgency=low

  * Use debian/compat, build-dep on debhelper 3.4.4.
  * Use build options as per current policy (-g -O2).
  * Bumped Standards-Version to 3.5.10.
  * Replaced in Jambase reference tu Jamfile(5) by Jamfile.html (Closes:
    #195693).

 -- Yann Dirson <dirson@debian.org>  Wed,  4 Jun 2003 11:01:47 +0200

jam (2.5rc3-1) unstable; urgency=medium

  * New upstream release.  Previous one was really rc2 !  Damn, upstream way of
    handling releases still confuses me :(
  * Urgency medium to get rid of the previous bogus "2.5" upload ASAP.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Apr 2003 16:17:35 +0200

jam (2.5-1) unstable; urgency=low

  * New upstream release (Possibly closes: #164406).
  * Removed obsolete note that no tutorial is available, and
    added URL to suplementary docs into README.Debian (Closes: 180658).

 -- Yann Dirson <dirson@debian.org>  Thu, 13 Mar 2003 23:13:10 +0100

jam (2.4-3) unstable; urgency=low

  * Fixed typo in package description (Closes: #124770).
  * Fixed a couple of doc typos.

 -- Yann Dirson <dirson@debian.org>  Fri, 24 May 2002 01:00:53 +0200

jam (2.4-2) unstable; urgency=medium

  * Fixed setup of /usr/bin/jam alternative, which had been made to point
    to ftjam.  This was a serious bug, also present in 2.3.2 packages.
  * Use priority 12 for alternative, so that this version prevails over
    ftjam 2.3.5.
  * Replaced the Jamrules-litprog example, where the funnelweb sample was
    completely broken, by a new version using several files to group the
    rules.  Includes a more thorough set of rules for (La)TeX documents.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 Apr 2002 00:47:01 +0200

jam (2.4-1) unstable; urgency=low

  * New upstream release.  No change from rc2 except for version string
    and RELNOTES.

 -- Yann Dirson <dirson@debian.org>  Thu, 18 Apr 2002 23:28:05 +0200

jam (2.3.99+2.4.rc2-1) unstable; urgency=low

  * New upstream (pre)release, including a number of new features and
    bugfixes.

 -- Yann Dirson <dirson@debian.org>  Mon,  8 Apr 2002 23:50:14 +0200

jam (2.3.2-3) unstable; urgency=low

  * Fixed a typo in the doc.
  * Updated debian/rules from ftjam package.
  * Install as jam.perforce and use alternative for /usr/bin/jam.

 -- Yann Dirson <dirson@debian.org>  Wed, 19 Sep 2001 00:24:05 +0200

jam (2.3.2-2) unstable; urgency=low

  * Added a docbook manpage - include the troff version as well as
    docbook-to-man (1:2.0.0-8) is currently broken.
  * Added doc-base support for reference manual.
  * Added an example rules file for literate programming, that I wrote
    some time ago.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 May 2001 02:09:52 +0200

jam (2.3.2-1) unstable; urgency=low

  * Initial Release (Closes: #98146).
  * Jambase: changed default EXEMODE to 755 (was 711), and suid perms to
    4755 (was 4711).
  * Be sure to invoke jam0 and yyacc with explicit "./".

 -- Yann Dirson <dirson@debian.org>  Mon, 21 May 2001 08:57:42 +0200

=== debian/watch ===
version=3
opts="pasv,dversionmangle=s/rel$//" \
ftp://ftp.perforce.com/jam/jam-(.+)\.tar

## jam 2.6

=== Makefile ===
# Makefile for jam

CC = cc
CFLAGS =
EXENAME = ./jam0
TARGET = -o $(EXENAME)

# Special flavors - uncomment appropriate lines

# AIX needs -lbsd, and has no identifying cpp symbol
# Use _AIX41 if you're not on 3.2 anymore.
# Also supports AIX53
#CC = gcc
#CFLAGS = -D_AIX
#LINKLIBS = -lbsd
#EXENAME = ./jam0
#TARGET = -o $(EXENAME)

# Darwin 90
# use gcc-4.2, gcc is linked to gcc-4.2
#CC = gcc$(COMPILER_SUFFIX)
#CFLAGS = -D__DARWIN__
#EXENAME = ./jam0
#TARGET = -o $(EXENAME)

# Cygwin - gcc & cygwin
#CC = gcc
#CFLAGS = -D__cygwin__

# Interix - gcc
#CC = gcc

# NCR seems to have a broken readdir() -- use gnu
#CC = gcc

# NT (with Microsoft compiler)
# Use FATFS if building on a DOS FAT file system
#Lib = $(MSVCNT)/lib
#Include = $(MSVCNT)/include
#CC = cl /nologo
#CFLAGS = -I $(Include) -DNT 
#TARGET = /Fejam0
#LINKLIBS = $(Lib)/oldnames.lib $(Lib)/kernel32.lib $(Lib)/libc.lib
#EXENAME = .\jam0.exe

# X64 NET 2005/2008/2010, settings already in environment.
# Turn off new CRT depreciation garb.
#CC = cl /nologo
#CFLAGS = /favor:blend /MT -D_M_AMD64 -DNT -D_CRT_SECURE_NO_DEPRECATE /wd4996
#TARGET = /Fejam0
#LINKLIBS = oldnames.lib kernel32.lib libcmt.lib
#EXENAME = .\jam0.exe

# X86 NET 2005/2008/2010, settings already in environment.
# Turn off new CRT depreciation garb.
#CC = cl /nologo
#CFLAGS = /MT -DNT -D_CRT_SECURE_NO_DEPRECATE /wd4996
#TARGET = /Fejam0
#LINKLIBS = oldnames.lib kernel32.lib libcmt.lib
#EXENAME = .\jam0.exe

# NT (with Microsoft compiler)
# People with DevStudio settings already in shell environment.
#CC = cl /nologo
#CFLAGS = -DNT
#TARGET = /Fejam0
#EXENAME = .\jam0.exe

# MingW32
#CC = gcc
#CFLAGS = -DMINGW

# MPEIX
#CC = gcc
#CFLAGS = -I/usr/include -D_POSIX_SOURCE

# SOLARIS
#CC = gcc

# QNX rtp (neutrino)
#CC = gcc

# AS400 - icc wrapper around ILE C compiler.
# CC = icc 
# CFLAGS = -DAS400 -qDUPPROC
#
# Can't use ./jam0 as EXENAME on AS/400. It confuses icc et al.
# EXENAME = jam0  

SOURCES = \
	builtins.c \
	command.c compile.c execas400.c execunix.c execvms.c expand.c \
	filent.c fileos2.c fileunix.c filevms.c glob.c hash.c \
	headers.c jam.c jambase.c jamgram.c lists.c make.c make1.c \
	newstr.c option.c parse.c pathunix.c pathvms.c regexp.c \
	rules.c scan.c search.c timestamp.c variable.c

all: $(EXENAME)
	$(EXENAME)

$(EXENAME):
	$(CC) $(TARGET) $(CFLAGS) $(SOURCES) $(LINKLIBS)

=== debian/changelog ===
jam (2.6-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:53 +0000

jam (2.6-1) unstable; urgency=medium

  * New upstream release (Closes: #763331).
    * Refreshed patches (one typo fixed upstream ;)
  * Updated debian/watch for new upstream forge.
  * Fixed typo in previous changelog entry.

 -- Yann Dirson <dirson@debian.org>  Mon, 29 Sep 2014 21:53:25 +0200

=== debian/control ===
Source: jam
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), dh-buildinfo, docbook-to-man, bison
Vcs-git: git://git.debian.org/git/collab-maint/jam.git
Vcs-browser: http://git.debian.org/?p=collab-maint/jam.git;a=summary
Standards-Version: 3.9.5

Package: jam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software-build tool, replacement for make
 Perforce's Jam (formerly called Jam/MR) is a powerful and highly
 customizable utility to build programs and other things, that can run
 on Un*x, Nt, VMS, OS/2 and Macintosh MPW, using portable Jamfiles.
 It can build large projects spread across many directories in one
 pass, and can run jobs in parallel where make would not.
 .
 It takes some time to fully grasp, especially when one's already
 accustomed to make(1), but there's no comparison in power when
 comparing these two tools.
 .
 Standard rules:
  - can automatically extract header dependencies for C/C++ (you can
 customize for you own language)
  - provide for automatic "clean", "install", "uninstall" rules,
 so that an automake-like tool is not needed

=== debian/watch ===
version=3
opts="dversionmangle=s/rel$//" \
https://swarm.workshop.perforce.com/projects/perforce_software-jam/files/main /projects/perforce_software-jam/files/main/jam-(.+)\.tar

## jam 2.6.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # Makefile for jam
 
+# Default settings for Unix / Linux.
+# Note: Configurations below may rely on these settings.
 CC = cc
 CFLAGS =
 EXENAME = ./jam0
@@ -33,42 +35,53 @@
 # NCR seems to have a broken readdir() -- use gnu
 #CC = gcc
 
-# NT (with Microsoft compiler)
-# Use FATFS if building on a DOS FAT file system
-#Lib = $(MSVCNT)/lib
-#Include = $(MSVCNT)/include
-#CC = cl /nologo
-#CFLAGS = -I $(Include) -DNT 
-#TARGET = /Fejam0
-#LINKLIBS = $(Lib)/oldnames.lib $(Lib)/kernel32.lib $(Lib)/libc.lib
-#EXENAME = .\jam0.exe
-
-# X64 NET 2005/2008/2010, settings already in environment.
-# Turn off new CRT depreciation garb.
+# X64 NET 2005-2015
+# Configured with MS CRT deprecation disabled.
+# Use the following settings in your Command Prompt to build jam and P4 API
+# Note: Do not uncomment these settings in this makefile.
+# run the Visual Studio batch script vc/bin/amd64/vcvars64.bat
+# set OSPLAT=x64
+# set MSCVNT=%VSINSTALLDIR%\VC
+# set MSVSVER=
+#   where VS2005=8, VS2008=9, VS2010=10, VS2012=11, VS2013=12, VS2015=13
+# set BUILD_WITH_SUB_DIRECTORIES=false
+#
+# Only uncomment the lines immediately below.
 #CC = cl /nologo
 #CFLAGS = /favor:blend /MT -D_M_AMD64 -DNT -D_CRT_SECURE_NO_DEPRECATE /wd4996
 #TARGET = /Fejam0
 #LINKLIBS = oldnames.lib kernel32.lib libcmt.lib
 #EXENAME = .\jam0.exe
 
-# X86 NET 2005/2008/2010, settings already in environment.
-# Turn off new CRT depreciation garb.
+# X86 NET 2005-2015
+# Configured with MS CRT deprecation disabled.
+# Use the following settings in your Command Prompt to build jam and P4 API
+# Note: Do not uncomment these settings in this makefile.
+# run the Visual Studio batch script vc/bin/vcvars32.bat
+# set OSPLAT=x86
+# set MSCVNT=%VSINSTALLDIR%\VC
+# set MSVSVER=
+#   where VS2005=8, VS2008=9, VS2010=10, VS2012=11, VS2013=12, VS2015=13
+# set BUILD_WITH_SUB_DIRECTORIES=false
+#
+# Only uncomment the lines immediately below.
 #CC = cl /nologo
 #CFLAGS = /MT -DNT -D_CRT_SECURE_NO_DEPRECATE /wd4996
 #TARGET = /Fejam0
 #LINKLIBS = oldnames.lib kernel32.lib libcmt.lib
 #EXENAME = .\jam0.exe
 
-# NT (with Microsoft compiler)
-# People with DevStudio settings already in shell environment.
-#CC = cl /nologo
-#CFLAGS = -DNT
-#TARGET = /Fejam0
-#EXENAME = .\jam0.exe
-
 # MingW32
 #CC = gcc
 #CFLAGS = -DMINGW
+#EXENAME = ./jam0
+#TARGET = -o $(EXENAME)
+
+# MinGW-w64
+#CC = gcc
+#CFLAGS = -DMINGW64
+#EXENAME = ./jam0
+#TARGET = -o $(EXENAME)
 
 # MPEIX
 #CC = gcc

=== debian/changelog ===
jam (2.6.1-2) unstable; urgency=medium

  * Fix Vcs-* URLs to point to correct project.
  * Bump Standards-Version to 4.4.1, no change.
  * Fix passing of CFLAGS/CPPFLAGS/LDFLAGS.
  * Ask jam to disclose commandlines run during final build.

 -- Yann Dirson <dirson@debian.org>  Thu, 03 Oct 2019 00:44:56 +0200

jam (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for migration to salsa.
  * Include patch from Reiner Herrmann <reiner@reiner-h.de> to make the
    build reproducible under different locales (Closes: #797427).
  * Bump Standards-Version to 4.4.0.

 -- Yann Dirson <dirson@debian.org>  Sun, 15 Sep 2019 16:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: jam
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yann Dirson <dirson@debian.org>
+Maintainer: Yann Dirson <dirson@debian.org>
 Build-Depends: debhelper (>= 9), dh-buildinfo, docbook-to-man, bison
-Vcs-git: git://git.debian.org/git/collab-maint/jam.git
-Vcs-browser: http://git.debian.org/?p=collab-maint/jam.git;a=summary
-Standards-Version: 3.9.5
+Vcs-git: https://salsa.debian.org/debian/jam.git
+Vcs-browser: https://salsa.debian.org/debian/jam
+Standards-Version: 4.4.1
 
 Package: jam
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# GNU copyright 2001 by Yann Dirson.

# This is the debian/rules file for packages jam and ftjam
# It should be usable with both packages without any change

# find out package name (jam/ftjam)
jam = $(strip $(shell dpkg-parsechangelog | grep ^Source: | cut -d: -f2))

# original jam should not get the same name as the alternative
ifeq (${jam},jam)
binname = jam.perforce
else
binname = ${jam}
endif

%:
	dh $@

GENERATED = jamgram.c jamgram.h jambase.c jamgramtab.h

override_dh_auto_build: debian/jam.1
  # backup generated files
	test -r origfiles || { mkdir origfiles && cp -a $(GENERATED) origfiles/ ; }
  # bootstrap
	${MAKE} CFLAGS="$(CPPFLAGS) $(CFLAGS)" LINKLIBS="$(LDFLAGS)" ./jam0
  # force update of generated files
	rm -f $(GENERATED)
	./jam0 -d x -s CCFLAGS="$(CPPFLAGS) $(CFLAGS)" -s LINKFLAGS="$(LDFLAGS)"

%.1: %.man.sgml
	/usr/bin/docbook-to-man $< > $@

override_dh_auto_clean:
	rm -rf bin.*
	rm -f jam0 debian/jam.1
	if test -r origfiles; then \
	  mv origfiles/* . ;\
	  rmdir origfiles ;\
	fi

override_dh_auto_install:
	./jam0  -sBINDIR=$(CURDIR)/debian/${jam}/usr/bin \
		-sCCFLAGS=-g -sOPTIM=-O2 \
		install
	cd debian/${jam}/usr/bin && mv jam ${binname}
	install -d debian/${jam}/usr/share/man/man1/
	install -m644 debian/jam.1 debian/${jam}/usr/share/man/man1/${binname}.1

override_dh_installdocs:
	dh_installdocs
	dh_buildinfo
